#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0x7fa84e1b, "orinoco_tx_timeout" },
	{ 0x187932ff, "orinoco_change_mtu" },
	{ 0x1f0e176f, "eth_validate_addr" },
	{ 0xf9ed32a0, "eth_mac_addr" },
	{ 0x5a26969b, "orinoco_set_multicast_list" },
	{ 0x83860391, "orinoco_stop" },
	{ 0xa89e8f80, "orinoco_open" },
	{ 0x883d87f5, "usb_deregister" },
	{ 0xa3ab82aa, "usb_register_driver" },
	{ 0x39e3b8dc, "free_orinocodev" },
	{ 0x599bbdbb, "wiphy_unregister" },
	{ 0xf3a95ffd, "orinoco_if_del" },
	{ 0xf5712492, "_mutex_unlock" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0xae126cad, "_mutex_lock" },
	{ 0x5b1fe154, "release_firmware" },
	{ 0x9f3a2aa1, "orinoco_if_add" },
	{ 0xb034e4c6, "orinoco_init" },
	{ 0x1d993621, "request_firmware" },
	{ 0xbe65f59, "__rt_spin_lock_init" },
	{ 0xfdc30306, "__mutex_do_init" },
	{ 0x534c6f2b, "__rt_mutex_init" },
	{ 0xe59b2b70, "alloc_orinocodev" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x892012fa, "orinoco_process_xmit_skb" },
	{ 0x8301af4, "consume_skb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x89af6dd4, "usb_kill_urb" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbcf091b8, "current_task" },
	{ 0xef2cc37, "finish_swait" },
	{ 0x5c0c59a, "prepare_to_swait_event" },
	{ 0x1000e51, "schedule" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xea663041, "usb_control_msg" },
	{ 0x7c41d4fc, "__dynamic_dev_dbg" },
	{ 0x89b12ace, "usb_unlink_urb" },
	{ 0x4a8f994, "__orinoco_ev_rx" },
	{ 0x25ac7a83, "__orinoco_ev_info" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7df87adb, "netif_tx_wake_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb0524c75, "usb_free_urb" },
	{ 0xdc95dba1, "__dynamic_netdev_dbg" },
	{ 0x31ae53b4, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe3c6b247, "usb_alloc_urb" },
	{ 0x3393bff4, "kmem_cache_alloc_trace" },
	{ 0xfd5539d6, "kmalloc_caches" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8ecc324f, "rt_spin_unlock" },
	{ 0x2b242300, "rt_spin_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc5850110, "printk" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=orinoco,usbcore,cfg80211";

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "777C446A7F7E4BA70C488FF");

MODULE_INFO(suserelease, "SLE15-SP2");
