#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0xd798241f, "param_ops_bool" },
	{ 0x5113f13c, "param_ops_charp" },
	{ 0xa3eac23f, "param_ops_uint" },
	{ 0x2ce0826d, "param_array_ops" },
	{ 0x883d87f5, "usb_deregister" },
	{ 0xa3ab82aa, "usb_register_driver" },
	{ 0xde576431, "__wake_up" },
	{ 0xb8c5295, "usb_set_interface" },
	{ 0xbb5718e2, "kthread_create_on_node" },
	{ 0xe3c6b247, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8840cfd0, "__init_waitqueue_head" },
	{ 0x53595f4b, "sysfs_create_group" },
	{ 0x3393bff4, "kmem_cache_alloc_trace" },
	{ 0xfd5539d6, "kmalloc_caches" },
	{ 0x92b9c244, "usb_bulk_msg" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0x68a9033f, "usb_string" },
	{ 0xb45826e3, "request_firmware_nowait" },
	{ 0xdf228d, "wake_up_process" },
	{ 0x888096be, "usbatm_usb_probe" },
	{ 0x5a401480, "usb_reset_device" },
	{ 0x5a921311, "strncmp" },
	{ 0xf8e5981c, "_dev_warn" },
	{ 0xe882075f, "kernel_param_unlock" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x6c7b3308, "kernel_param_lock" },
	{ 0x4df02057, "crc32_be" },
	{ 0x1d993621, "request_firmware" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x97d690ab, "freezing_slow_path" },
	{ 0xbcf091b8, "current_task" },
	{ 0x7ab88a45, "system_freezing_cnt" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xdc5daaf9, "atm_dev_signal_change" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x31ae53b4, "usb_submit_urb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x2e19156c, "usb_driver_claim_interface" },
	{ 0xb46d4b3f, "usb_ifnum_to_if" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xbdbfbc72, "finish_wait" },
	{ 0x5ebe33c2, "prepare_to_wait_event" },
	{ 0x1000e51, "schedule" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5b1fe154, "release_firmware" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb0524c75, "usb_free_urb" },
	{ 0x89af6dd4, "usb_kill_urb" },
	{ 0x43d6cd97, "kthread_stop" },
	{ 0xcccbd116, "sysfs_remove_group" },
	{ 0xe7a5d4d3, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0xea663041, "usb_control_msg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7c41d4fc, "__dynamic_dev_dbg" },
	{ 0x2e6a4f31, "_dev_info" },
	{ 0x8bebd22b, "usbatm_usb_disconnect" },
	{ 0xf5712492, "_mutex_unlock" },
	{ 0xae126cad, "_mutex_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,usbatm,atm";

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F498BB492AD10B4C02B1394");

MODULE_INFO(suserelease, "SLE15-SP2");
