#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0x883d87f5, "usb_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa3ab82aa, "usb_register_driver" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf867ef78, "scsi_add_host_with_dma" },
	{ 0xf8e5981c, "_dev_warn" },
	{ 0xbe65f59, "__rt_spin_lock_init" },
	{ 0x534c6f2b, "__rt_mutex_init" },
	{ 0x8840cfd0, "__init_waitqueue_head" },
	{ 0x227f457c, "scsi_host_alloc" },
	{ 0xe1a5659d, "usb_stor_adjust_quirks" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x89b12ace, "usb_unlink_urb" },
	{ 0x2c4102a3, "sdev_prefix_printk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd1a63516, "usb_unanchor_urb" },
	{ 0x3393bff4, "kmem_cache_alloc_trace" },
	{ 0xfd5539d6, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x31ae53b4, "usb_submit_urb" },
	{ 0x3a506cc3, "usb_anchor_urb" },
	{ 0xe3c6b247, "usb_alloc_urb" },
	{ 0xeec1cdcf, "blk_queue_max_hw_sectors" },
	{ 0xc45ac9a4, "blk_queue_update_dma_alignment" },
	{ 0x7c41d4fc, "__dynamic_dev_dbg" },
	{ 0x4e33f798, "scsi_scan_host" },
	{ 0xf5712492, "_mutex_unlock" },
	{ 0x665ea2ea, "usb_lock_device_for_reset" },
	{ 0x5f56411d, "scsi_host_put" },
	{ 0x1eca9444, "scsi_remove_host" },
	{ 0x343eebb9, "usb_kill_anchored_urbs" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5850110, "printk" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x89af6dd4, "usb_kill_urb" },
	{ 0x817b4554, "usb_get_urb" },
	{ 0x6ee34df1, "scsi_print_command" },
	{ 0x274f9340, "scmd_printk" },
	{ 0x9b78caa0, "scsi_report_bus_reset" },
	{ 0x264d12f4, "usb_alloc_streams" },
	{ 0x85b1f6db, "scsi_change_queue_depth" },
	{ 0x75569ea4, "scsi_is_host_device" },
	{ 0xe7a5d4d3, "_dev_err" },
	{ 0xb0524c75, "usb_free_urb" },
	{ 0x74cd6140, "scsi_unblock_requests" },
	{ 0x19e57036, "dev_printk" },
	{ 0x7e37746e, "scsi_block_requests" },
	{ 0x8ecc324f, "rt_spin_unlock" },
	{ 0x2b242300, "rt_spin_lock" },
	{ 0x21871ad9, "usb_wait_anchor_empty_timeout" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5a401480, "usb_reset_device" },
	{ 0xb8c5295, "usb_set_interface" },
	{ 0x15af7f4, "system_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x56638d53, "usb_free_streams" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,scsi_mod,usb-storage";

MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "13EC18CC402E6515BEC7A2C");

MODULE_INFO(suserelease, "SLE15-SP2");
