#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb07e753d, "snd_soc_dapm_get_enum_double" },
	{ 0x2d737773, "i2c_del_driver" },
	{ 0xed0f222e, "snd_soc_dapm_get_volsw" },
	{ 0x2789f45b, "regmap_update_bits_base" },
	{ 0xf101195f, "snd_pcm_hw_constraint_msbits" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0xf1987fd9, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe63dbb8a, "snd_soc_component_update_bits" },
	{ 0x5a7b73e1, "snd_soc_put_volsw" },
	{ 0xbb6aa721, "regmap_read" },
	{ 0x1f7d3f6, "snd_soc_get_volsw" },
	{ 0xa95ae05a, "snd_soc_info_enum_double" },
	{ 0xc50344cc, "acpi_match_device" },
	{ 0x53d4009a, "snd_soc_dapm_add_routes" },
	{ 0x5e547ae3, "snd_soc_put_volsw_range" },
	{ 0xf8e5981c, "_dev_warn" },
	{ 0x11022744, "snd_soc_add_component_controls" },
	{ 0x572f499, "snd_soc_info_volsw_range" },
	{ 0xd16c4b3a, "snd_soc_bytes_info" },
	{ 0xa61770e0, "snd_soc_dapm_put_volsw" },
	{ 0xf7c61f84, "snd_soc_get_volsw_range" },
	{ 0xe7a5d4d3, "_dev_err" },
	{ 0xe6788f0c, "snd_soc_info_volsw" },
	{ 0x400b1f91, "i2c_register_driver" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x2e6a4f31, "_dev_info" },
	{ 0xf507a49a, "snd_soc_get_enum_double" },
	{ 0xbdac199c, "device_property_read_u32_array" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xbda76f3c, "__devm_regmap_init_i2c" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2263fcb9, "pm_wakeup_dev_event" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x409bec87, "devm_snd_soc_register_component" },
	{ 0x69611291, "snd_soc_component_write" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1653bb31, "devm_clk_get" },
	{ 0x7c41d4fc, "__dynamic_dev_dbg" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x1e4bbe2f, "regcache_mark_dirty" },
	{ 0x5c95c1fd, "snd_soc_put_enum_double" },
	{ 0xc4b0388b, "snd_soc_bytes_get" },
	{ 0xd43486, "snd_soc_bytes_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1921193e, "snd_soc_jack_report" },
	{ 0x1aa409b2, "snd_soc_component_read32" },
	{ 0x2a23fe98, "devm_kmalloc" },
	{ 0x2e7f00fd, "devm_request_threaded_irq" },
	{ 0xfa085403, "regmap_write" },
	{ 0x9158b489, "regcache_sync" },
	{ 0xa1556a1d, "is_acpi_device_node" },
	{ 0xd83f551f, "regcache_cache_only" },
	{ 0x302d8b03, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core";

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98090");
MODULE_ALIAS("of:N*T*Cmaxim,max98090C*");
MODULE_ALIAS("of:N*T*Cmaxim,max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98091C*");

MODULE_INFO(srcversion, "86BCA25ED4F3414B5F1E60B");

MODULE_INFO(suserelease, "SLE15-SP2");
