#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0xfd5539d6, "kmalloc_caches" },
	{ 0x9a03aaf0, "param_ops_int" },
	{ 0xb6195c93, "snd_pcm_period_elapsed" },
	{ 0x2167f126, "usb_init_urb" },
	{ 0x534c6f2b, "__rt_mutex_init" },
	{ 0x89af6dd4, "usb_kill_urb" },
	{ 0xd798241f, "param_ops_bool" },
	{ 0x232649d6, "snd_rawmidi_set_ops" },
	{ 0xf64151ab, "snd_card_disconnect" },
	{ 0x89893571, "snd_rawmidi_new" },
	{ 0x2b242300, "rt_spin_lock" },
	{ 0x8b5a5821, "input_set_abs_params" },
	{ 0x8ecc324f, "rt_spin_unlock" },
	{ 0x93ee3ffc, "input_event" },
	{ 0x8840cfd0, "__init_waitqueue_head" },
	{ 0x5113f13c, "param_ops_charp" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf8e5981c, "_dev_warn" },
	{ 0x68a9033f, "usb_string" },
	{ 0x883d87f5, "usb_deregister" },
	{ 0x8cea052e, "snd_pcm_set_ops" },
	{ 0xb8c5295, "usb_set_interface" },
	{ 0x5da0149d, "snd_pcm_lib_get_vmalloc_page" },
	{ 0x5792f848, "strlcpy" },
	{ 0x4f854360, "snd_pcm_lib_ioctl" },
	{ 0xe7a5d4d3, "_dev_err" },
	{ 0x47a416c, "snd_card_set_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbe65f59, "__rt_spin_lock_init" },
	{ 0x15dbc985, "usb_urb_ep_type_check" },
	{ 0x71f8a13e, "snd_card_new" },
	{ 0x31ae53b4, "usb_submit_urb" },
	{ 0x4bb7ed7b, "_snd_pcm_lib_alloc_vmalloc_buffer" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x5a401480, "usb_reset_device" },
	{ 0xbf772123, "input_register_device" },
	{ 0x92b9c244, "usb_bulk_msg" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb54180a9, "snd_ctl_new1" },
	{ 0x2a05c8e, "input_free_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3393bff4, "kmem_cache_alloc_trace" },
	{ 0x7c41d4fc, "__dynamic_dev_dbg" },
	{ 0xde576431, "__wake_up" },
	{ 0x5ebe33c2, "prepare_to_wait_event" },
	{ 0x37a0cba, "kfree" },
	{ 0xba4d6ea4, "input_unregister_device" },
	{ 0x2ce0826d, "param_array_ops" },
	{ 0xa3ab82aa, "usb_register_driver" },
	{ 0xbdbfbc72, "finish_wait" },
	{ 0x8d0197ad, "snd_card_free" },
	{ 0xfc398e07, "snd_card_register" },
	{ 0x85cacbf9, "snd_pcm_limit_hw_rates" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x16af2823, "snd_pcm_new" },
	{ 0x763d4ae0, "snd_pcm_lib_free_vmalloc_buffer" },
	{ 0x27363e14, "snd_ctl_add" },
	{ 0x574b7ee5, "snd_rawmidi_transmit" },
	{ 0xb0524c75, "usb_free_urb" },
	{ 0xa7f28026, "snd_rawmidi_receive" },
	{ 0xe3c6b247, "usb_alloc_urb" },
	{ 0xfcc3b928, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,usbcore,snd-rawmidi,snd";

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F759D6A3FBC8A3314E7EB77");

MODULE_INFO(suserelease, "SLE15-SP2");
