#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d737773, "i2c_del_driver" },
	{ 0xfdc30306, "__mutex_do_init" },
	{ 0x71744920, "regulator_disable" },
	{ 0xcaf640fa, "i2c_transfer" },
	{ 0xbcf225ab, "input_alloc_absinfo" },
	{ 0x534c6f2b, "__rt_mutex_init" },
	{ 0xf5712492, "_mutex_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xda753581, "input_mt_report_pointer_emulation" },
	{ 0x8b5a5821, "input_set_abs_params" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93ee3ffc, "input_event" },
	{ 0xf8e5981c, "_dev_warn" },
	{ 0xf06eb8b6, "i2c_smbus_read_byte" },
	{ 0x97ee3cac, "input_set_capability" },
	{ 0x4493a154, "i2c_smbus_write_byte" },
	{ 0xc390eca1, "irq_get_irq_data" },
	{ 0x5530e2a5, "input_mt_init_slots" },
	{ 0x7a198b62, "device_init_wakeup" },
	{ 0xe7a5d4d3, "_dev_err" },
	{ 0x400b1f91, "i2c_register_driver" },
	{ 0x15ce2680, "devm_add_action" },
	{ 0x2e6a4f31, "_dev_info" },
	{ 0xd6fb6af5, "i2c_smbus_write_block_data" },
	{ 0x4967250, "devm_regulator_get" },
	{ 0xbdac199c, "device_property_read_u32_array" },
	{ 0x2f95d4f5, "i2c_smbus_read_block_data" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xbf772123, "input_register_device" },
	{ 0x2263fcb9, "pm_wakeup_dev_event" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7c41d4fc, "__dynamic_dev_dbg" },
	{ 0x488fe8e2, "i2c_transfer_buffer_flags" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x92e64725, "sysfs_create_groups" },
	{ 0x1d8ebc4f, "devm_input_allocate_device" },
	{ 0x57e5eacc, "input_mt_report_slot_state" },
	{ 0x4d83bdf4, "sysfs_remove_groups" },
	{ 0x1d993621, "request_firmware" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa6257a2f, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2a23fe98, "devm_kmalloc" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x2e7f00fd, "devm_request_threaded_irq" },
	{ 0x5b1fe154, "release_firmware" },
	{ 0x75e4121f, "device_property_present" },
	{ 0x48c02783, "_mutex_lock_interruptible" },
	{ 0xccc63714, "regulator_enable" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("acpi*:ELAN0000:*");
MODULE_ALIAS("acpi*:ELAN0100:*");
MODULE_ALIAS("acpi*:ELAN0600:*");
MODULE_ALIAS("acpi*:ELAN0601:*");
MODULE_ALIAS("acpi*:ELAN0602:*");
MODULE_ALIAS("acpi*:ELAN0603:*");
MODULE_ALIAS("acpi*:ELAN0604:*");
MODULE_ALIAS("acpi*:ELAN0605:*");
MODULE_ALIAS("acpi*:ELAN0606:*");
MODULE_ALIAS("acpi*:ELAN0607:*");
MODULE_ALIAS("acpi*:ELAN0608:*");
MODULE_ALIAS("acpi*:ELAN0609:*");
MODULE_ALIAS("acpi*:ELAN060B:*");
MODULE_ALIAS("acpi*:ELAN060C:*");
MODULE_ALIAS("acpi*:ELAN060F:*");
MODULE_ALIAS("acpi*:ELAN0610:*");
MODULE_ALIAS("acpi*:ELAN0611:*");
MODULE_ALIAS("acpi*:ELAN0612:*");
MODULE_ALIAS("acpi*:ELAN0615:*");
MODULE_ALIAS("acpi*:ELAN0616:*");
MODULE_ALIAS("acpi*:ELAN0617:*");
MODULE_ALIAS("acpi*:ELAN0618:*");
MODULE_ALIAS("acpi*:ELAN0619:*");
MODULE_ALIAS("acpi*:ELAN061A:*");
MODULE_ALIAS("acpi*:ELAN061C:*");
MODULE_ALIAS("acpi*:ELAN061D:*");
MODULE_ALIAS("acpi*:ELAN061E:*");
MODULE_ALIAS("acpi*:ELAN061F:*");
MODULE_ALIAS("acpi*:ELAN0620:*");
MODULE_ALIAS("acpi*:ELAN0621:*");
MODULE_ALIAS("acpi*:ELAN0622:*");
MODULE_ALIAS("acpi*:ELAN0623:*");
MODULE_ALIAS("acpi*:ELAN0624:*");
MODULE_ALIAS("acpi*:ELAN0625:*");
MODULE_ALIAS("acpi*:ELAN0626:*");
MODULE_ALIAS("acpi*:ELAN0627:*");
MODULE_ALIAS("acpi*:ELAN0628:*");
MODULE_ALIAS("acpi*:ELAN0629:*");
MODULE_ALIAS("acpi*:ELAN062A:*");
MODULE_ALIAS("acpi*:ELAN062B:*");
MODULE_ALIAS("acpi*:ELAN062C:*");
MODULE_ALIAS("acpi*:ELAN062D:*");
MODULE_ALIAS("acpi*:ELAN0631:*");
MODULE_ALIAS("acpi*:ELAN0632:*");
MODULE_ALIAS("acpi*:ELAN1000:*");
MODULE_ALIAS("i2c:elan_i2c");

MODULE_INFO(srcversion, "948D034E3621AA85384A587");

MODULE_INFO(suserelease, "SLE15-SP2");
