#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfd5539d6, "kmalloc_caches" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc8f25d9d, "driver_register" },
	{ 0x9a03aaf0, "param_ops_int" },
	{ 0x5a581e7e, "dvb_dmx_init" },
	{ 0xa84a264c, "dvb_unregister_adapter" },
	{ 0x754d539c, "strlen" },
	{ 0xfdc30306, "__mutex_do_init" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xe597a464, "dvb_register_frontend" },
	{ 0xc71acf40, "dvb_register_device" },
	{ 0x534c6f2b, "__rt_mutex_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2bd77b42, "fw_bus_type" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf5712492, "_mutex_unlock" },
	{ 0xc5b1cff1, "dvb_unregister_frontend" },
	{ 0xdd64e639, "strscpy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x97e580c9, "dvb_net_release" },
	{ 0x2b242300, "rt_spin_lock" },
	{ 0xd616e06a, "fw_iso_context_start" },
	{ 0xda66a76d, "fw_iso_context_queue_flush" },
	{ 0x8ecc324f, "rt_spin_unlock" },
	{ 0x93ee3ffc, "input_event" },
	{ 0x8840cfd0, "__init_waitqueue_head" },
	{ 0xfb578fc5, "memset" },
	{ 0xd6764190, "param_ops_short" },
	{ 0x52bb6a59, "dvb_dmxdev_release" },
	{ 0xc5850110, "printk" },
	{ 0x620fb02b, "dvb_net_init" },
	{ 0xc52650bf, "driver_unregister" },
	{ 0xbe1ef055, "dvb_generic_release" },
	{ 0x5a921311, "strncmp" },
	{ 0x58718737, "noop_llseek" },
	{ 0x19976d6d, "fw_iso_buffer_destroy" },
	{ 0x9e6361d3, "dvb_unregister_device" },
	{ 0xe7a5d4d3, "_dev_err" },
	{ 0xb381a6fa, "dvb_dmx_release" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2e6a4f31, "_dev_info" },
	{ 0xd5cadd1c, "fw_iso_context_queue" },
	{ 0xb2a7be5d, "dvb_generic_ioctl" },
	{ 0xb3e5636c, "dvb_dmx_swfilter_packets" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xbf772123, "input_register_device" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb173700b, "dvb_generic_open" },
	{ 0x2a05c8e, "input_free_device" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xd55fff2, "fw_core_add_address_handler" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaba4488e, "dvb_register_adapter" },
	{ 0x3393bff4, "kmem_cache_alloc_trace" },
	{ 0x7c41d4fc, "__dynamic_dev_dbg" },
	{ 0xde576431, "__wake_up" },
	{ 0xbc95917f, "fw_iso_context_stop" },
	{ 0x5ebe33c2, "prepare_to_wait_event" },
	{ 0xa03dba72, "fw_core_remove_address_handler" },
	{ 0x37a0cba, "kfree" },
	{ 0x899266c, "fw_iso_context_create" },
	{ 0x69acdf38, "memcpy" },
	{ 0xba4d6ea4, "input_unregister_device" },
	{ 0x4df02057, "crc32_be" },
	{ 0x2ce0826d, "param_array_ops" },
	{ 0xbdbfbc72, "finish_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xae126cad, "_mutex_lock" },
	{ 0x4e2e0693, "fw_iso_buffer_init" },
	{ 0x5c23497a, "fw_run_transaction" },
	{ 0x48c02783, "_mutex_lock_interruptible" },
	{ 0x152f75a7, "fw_iso_context_destroy" },
	{ 0x33325137, "dvb_dmxdev_init" },
	{ 0xfcc3b928, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=dvb-core,firewire-core";

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "D0B1DBBD2F0F175A4E157E7");

MODULE_INFO(suserelease, "SLE15-SP2");
