#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0xb0f728f2, "vb2_fop_release" },
	{ 0x67f46be2, "v4l2_fh_open" },
	{ 0xad77dce1, "vb2_fop_mmap" },
	{ 0xe768420c, "video_ioctl2" },
	{ 0xca7d5c96, "vb2_fop_poll" },
	{ 0x777b87a7, "vb2_fop_read" },
	{ 0x26360667, "vb2_ops_wait_finish" },
	{ 0xedb202f2, "vb2_ops_wait_prepare" },
	{ 0xd7b8098c, "vb2_ioctl_streamoff" },
	{ 0x53c2ed51, "vb2_ioctl_streamon" },
	{ 0x9773ccb3, "vb2_ioctl_prepare_buf" },
	{ 0x268fd797, "vb2_ioctl_create_bufs" },
	{ 0xe8f69585, "vb2_ioctl_dqbuf" },
	{ 0xf87d3ca1, "vb2_ioctl_qbuf" },
	{ 0x9966ff87, "vb2_ioctl_querybuf" },
	{ 0xbed2b68, "vb2_ioctl_reqbufs" },
	{ 0x2d737773, "i2c_del_driver" },
	{ 0x400b1f91, "i2c_register_driver" },
	{ 0xf8e5981c, "_dev_warn" },
	{ 0x17767a68, "__video_register_device" },
	{ 0xf93c7b6c, "devm_nvmem_register" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0x2ca0cdde, "__pm_runtime_use_autosuspend" },
	{ 0x96707f8b, "pm_runtime_set_autosuspend_delay" },
	{ 0x312541f8, "pm_runtime_enable" },
	{ 0xbe65f59, "__rt_spin_lock_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x975fc27e, "vb2_queue_init" },
	{ 0xe6926fd8, "vb2_vmalloc_memops" },
	{ 0xfdc30306, "__mutex_do_init" },
	{ 0x534c6f2b, "__rt_mutex_init" },
	{ 0x1a3823c, "v4l2_device_register" },
	{ 0x23481fb2, "__regmap_init_i2c" },
	{ 0xe4390896, "device_get_match_data" },
	{ 0x90d93ee9, "dev_fwnode" },
	{ 0x3393bff4, "kmem_cache_alloc_trace" },
	{ 0xfd5539d6, "kmalloc_caches" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x113e0a27, "video_unregister_device" },
	{ 0x5e31c524, "__pm_runtime_set_status" },
	{ 0x265187e3, "__pm_runtime_disable" },
	{ 0xdf228d, "wake_up_process" },
	{ 0xbb5718e2, "kthread_create_on_node" },
	{ 0x2125b22, "__pm_runtime_resume" },
	{ 0x12a38747, "usleep_range" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfa085403, "regmap_write" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x97d690ab, "freezing_slow_path" },
	{ 0xbcf091b8, "current_task" },
	{ 0x7ab88a45, "system_freezing_cnt" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ed8b599, "__x86_indirect_thunk_r8" },
	{ 0xa2925e67, "vb2_plane_vaddr" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xeb3eb57d, "__pm_runtime_suspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x43d6cd97, "kthread_stop" },
	{ 0x98045926, "vb2_buffer_done" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa9b8d839, "video_devdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x208a82db, "regmap_exit" },
	{ 0xef1f346, "v4l2_device_unregister" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9228dc20, "devm_hwmon_device_register_with_info" },
	{ 0x21a1b168, "regmap_get_device" },
	{ 0x2789f45b, "regmap_update_bits_base" },
	{ 0xac63b058, "regmap_bulk_read" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x8ecc324f, "rt_spin_unlock" },
	{ 0x2b242300, "rt_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videobuf2-v4l2,videodev,videobuf2-vmalloc,videobuf2-common";

MODULE_ALIAS("of:N*T*Cpanasonic,amg88xx");
MODULE_ALIAS("of:N*T*Cpanasonic,amg88xxC*");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640C*");
MODULE_ALIAS("i2c:amg88xx");
MODULE_ALIAS("i2c:mlx90640");

MODULE_INFO(srcversion, "19ED487765A48F280398A87");

MODULE_INFO(suserelease, "SLE15-SP2");
