#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0x9a03aaf0, "param_ops_int" },
	{ 0xe768420c, "video_ioctl2" },
	{ 0xe96ba148, "v4l2_event_unsubscribe" },
	{ 0x8e23405f, "v4l2_ctrl_subscribe_event" },
	{ 0x7553c690, "v4l2_ctrl_log_status" },
	{ 0x883d87f5, "usb_deregister" },
	{ 0xa3ab82aa, "usb_register_driver" },
	{ 0x17767a68, "__video_register_device" },
	{ 0xf718e48c, "videobuf_queue_vmalloc_init" },
	{ 0xbe65f59, "__rt_spin_lock_init" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x5a64e8d6, "video_device_release_empty" },
	{ 0xfdc30306, "__mutex_do_init" },
	{ 0x534c6f2b, "__rt_mutex_init" },
	{ 0xcf91c6, "v4l2_ctrl_new_std" },
	{ 0x5d7d192b, "v4l2_ctrl_handler_init_class" },
	{ 0x1a3823c, "v4l2_device_register" },
	{ 0x3393bff4, "kmem_cache_alloc_trace" },
	{ 0xfd5539d6, "kmalloc_caches" },
	{ 0x6e5360ba, "videobuf_read_one" },
	{ 0x5152285d, "videobuf_streamon" },
	{ 0xbdccdc2c, "v4l2_ctrl_handler_setup" },
	{ 0xd8072c3c, "videobuf_queue_is_busy" },
	{ 0xcc6de93b, "v4l2_fh_release" },
	{ 0xea663041, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xad2eebaf, "videobuf_mmap_mapper" },
	{ 0x54aa6ed6, "videobuf_iolock" },
	{ 0xdb5c8297, "videobuf_vmalloc_free" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x8ecc324f, "rt_spin_unlock" },
	{ 0xde576431, "__wake_up" },
	{ 0x106c7d8e, "videobuf_to_vmalloc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2b242300, "rt_spin_lock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe7a5d4d3, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0xc09c0409, "v4l2_ctrl_handler_free" },
	{ 0x999e8297, "vfree" },
	{ 0x782d14f9, "videobuf_mmap_free" },
	{ 0xef1f346, "v4l2_device_unregister" },
	{ 0xab24473c, "videobuf_poll_stream" },
	{ 0xb5544b6d, "v4l2_ctrl_poll" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x67f46be2, "v4l2_fh_open" },
	{ 0x48c02783, "_mutex_lock_interruptible" },
	{ 0x8b6de8e5, "videobuf_reqbufs" },
	{ 0x96ee5e24, "videobuf_querybuf" },
	{ 0xb791c829, "videobuf_qbuf" },
	{ 0x5f06702f, "videobuf_dqbuf" },
	{ 0x416ebf6, "videobuf_streamoff" },
	{ 0xa9b8d839, "video_devdata" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc918d823, "v4l2_device_put" },
	{ 0xf5712492, "_mutex_unlock" },
	{ 0x3d0d4d86, "v4l2_device_disconnect" },
	{ 0x113e0a27, "video_unregister_device" },
	{ 0x2e6a4f31, "_dev_info" },
	{ 0xae126cad, "_mutex_lock" },
	{ 0xb0524c75, "usb_free_urb" },
	{ 0x89af6dd4, "usb_kill_urb" },
	{ 0x31ae53b4, "usb_submit_urb" },
	{ 0xe3c6b247, "usb_alloc_urb" },
	{ 0xc5850110, "printk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,usbcore,videobuf-vmalloc,videobuf-core";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "880153A8E3BA211D7B95EAF");

MODULE_INFO(suserelease, "SLE15-SP2");
