#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0x2c45e95c, "mt76x02_remove_interface" },
	{ 0x93236aea, "__mt76_poll" },
	{ 0xfdc30306, "__mutex_do_init" },
	{ 0xc049dc79, "mt76x02_sw_scan" },
	{ 0xc247778d, "mt76x02_conf_tx" },
	{ 0xb41e4608, "mt76x02_ampdu_action" },
	{ 0xb2f41cd1, "mt76u_stop_rx" },
	{ 0x534c6f2b, "__rt_mutex_init" },
	{ 0xa64fbe68, "mt76x02u_exit_beacon_config" },
	{ 0x3406aed8, "mt76x02_add_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x11fd6ce8, "mt76u_vendor_request" },
	{ 0xdc44c9a, "ieee80211_unregister_hw" },
	{ 0xb8f5d5af, "mt76x02u_init_beacon_config" },
	{ 0x9feda0f4, "mt76u_stop_tx" },
	{ 0xa1325d4a, "mt76u_alloc_queues" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xddc15094, "mt76x0_mac_start" },
	{ 0xded031b9, "mt76x02_bss_info_changed" },
	{ 0x5101c187, "mt76x0_init_hardware" },
	{ 0x90706c, "mt76_sta_state" },
	{ 0x73336083, "mt76x02_set_rts_threshold" },
	{ 0x484a6528, "mt76x02u_tx_prepare_skb" },
	{ 0x224a6a44, "mt76x02u_init_mcu" },
	{ 0xf8e5981c, "_dev_warn" },
	{ 0x1e44bc55, "mt76u_init" },
	{ 0x1f259cfb, "mt76x02u_mcu_fw_send_data" },
	{ 0x97a8d579, "mt76x0_mac_stop" },
	{ 0x1a5a630b, "mt76x02_sta_add" },
	{ 0xaeda06e0, "mt76x02_tx_status_data" },
	{ 0x883d87f5, "usb_deregister" },
	{ 0x99f558ac, "mt76x02_sta_remove" },
	{ 0x87716ca2, "mt76x02_tx" },
	{ 0x9d91a16d, "__mt76_poll_msec" },
	{ 0x14a5b9d7, "mt76x02_sw_scan_complete" },
	{ 0x11fa63d, "mt76_set_tim" },
	{ 0x5ce1b298, "mt76x0_phy_calibrate" },
	{ 0x2d1136f, "mt76x02u_mcu_fw_reset" },
	{ 0xe7a5d4d3, "_dev_err" },
	{ 0xcf1b6f69, "mt76x0_register_device" },
	{ 0xa4986afe, "mt76x0_config" },
	{ 0xd8f4185b, "ieee80211_queue_delayed_work" },
	{ 0x6b5c0bbc, "mt76u_queues_deinit" },
	{ 0x56432a33, "mt76x02_queue_rx_skb" },
	{ 0x22910c36, "mt76x0_chip_onoff" },
	{ 0x4a2ea199, "mt76x02_configure_filter" },
	{ 0x2e6a4f31, "_dev_info" },
	{ 0x983c546f, "usb_get_dev" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x5a401480, "usb_reset_device" },
	{ 0xfdc23402, "usb_put_dev" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x3ff5992d, "mt76_alloc_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7c41d4fc, "__dynamic_dev_dbg" },
	{ 0xb655114d, "mt76x02_sta_rate_tbl_update" },
	{ 0xbf3d334b, "mt76u_resume_rx" },
	{ 0x6d5a57f0, "mt76x02_sta_ps" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b76b96, "mt76_wake_tx_queue" },
	{ 0x5c33bfd9, "mt76_get_txpower" },
	{ 0xa3ab82aa, "usb_register_driver" },
	{ 0x1d993621, "request_firmware" },
	{ 0x52fb0692, "mt76_release_buffered_frames" },
	{ 0x488e5542, "ieee80211_free_hw" },
	{ 0x8db1d20f, "mt76x02_set_key" },
	{ 0x1dd55d41, "firmware_request_nowarn" },
	{ 0x5b1fe154, "release_firmware" },
	{ 0xada27364, "mt76x02u_tx_complete_skb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76-usb,mt76x02-usb,mac80211,mt76x0-common,usbcore";

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "925183ECD2EB34F8976E70A");

MODULE_INFO(suserelease, "SLE15-SP2");
