#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0xdc409469, "param_ops_string" },
	{ 0x9a03aaf0, "param_ops_int" },
	{ 0xb6a59c33, "usbnet_get_stats64" },
	{ 0x346b6775, "usbnet_tx_timeout" },
	{ 0x1f0e176f, "eth_validate_addr" },
	{ 0xf9ed32a0, "eth_mac_addr" },
	{ 0x558b170d, "usbnet_start_xmit" },
	{ 0x5e8ef717, "usbnet_stop" },
	{ 0xd460a217, "usbnet_open" },
	{ 0xd9b6e7de, "rndis_tx_fixup" },
	{ 0xbec1a56c, "rndis_rx_fixup" },
	{ 0x483f4275, "rndis_status" },
	{ 0x75f73ee6, "usbnet_resume" },
	{ 0xa7596acd, "usbnet_suspend" },
	{ 0xd0078315, "usbnet_disconnect" },
	{ 0xc0234dc, "usbnet_probe" },
	{ 0x883d87f5, "usb_deregister" },
	{ 0xa3ab82aa, "usb_register_driver" },
	{ 0x6f753d09, "wiphy_register" },
	{ 0x923c4bda, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xfdc30306, "__mutex_do_init" },
	{ 0x534c6f2b, "__rt_mutex_init" },
	{ 0xf729f1f, "wiphy_new_nm" },
	{ 0xdd0b1052, "netdev_err" },
	{ 0xec888900, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xe8663ae6, "ieee80211_channel_to_frequency" },
	{ 0xbbf747b8, "netif_carrier_off" },
	{ 0x670efc0f, "cfg80211_disconnected" },
	{ 0xc5850110, "printk" },
	{ 0xfe8cb306, "cfg80211_roamed" },
	{ 0x224fc285, "cfg80211_ibss_joined" },
	{ 0xe0336d64, "netif_carrier_on" },
	{ 0xab3b7731, "usbnet_resume_rx" },
	{ 0x3393bff4, "kmem_cache_alloc_trace" },
	{ 0xfd5539d6, "kmalloc_caches" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xce6f2cff, "cfg80211_cqm_rssi_notify" },
	{ 0x9650532e, "cfg80211_put_bss" },
	{ 0xb008b9dd, "ieee80211_get_channel" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8ecc324f, "rt_spin_unlock" },
	{ 0x2b242300, "rt_spin_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x49dd055f, "cfg80211_scan_done" },
	{ 0x5a14e686, "wiphy_free" },
	{ 0x599bbdbb, "wiphy_unregister" },
	{ 0x395c4150, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0x271550f3, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5712492, "_mutex_unlock" },
	{ 0x1b98e7b7, "rndis_command" },
	{ 0x69acdf38, "memcpy" },
	{ 0xae126cad, "_mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7b4082fb, "cfg80211_inform_bss_data" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xfe42ef92, "cfg80211_connect_done" },
	{ 0x20712fdf, "usbnet_pause_rx" },
	{ 0x64e9b74, "cfg80211_michael_mic_failure" },
	{ 0xdc95dba1, "__dynamic_netdev_dbg" },
	{ 0xd746a29b, "cfg80211_pmksa_candidate_notify" },
	{ 0xd4dd92d6, "netdev_info" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "AEC3E86F8E3A19A4D8F6728");

MODULE_INFO(suserelease, "SLE15-SP2");
