#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0xfd5539d6, "kmalloc_caches" },
	{ 0x9181e7c1, "snd_hda_gen_fixup_micmute_led" },
	{ 0x93c7b48a, "snd_hda_gen_free" },
	{ 0xf5832909, "snd_hda_codec_get_pin_target" },
	{ 0xda73c0aa, "snd_hda_mixer_amp_volume_put" },
	{ 0x375cacd5, "snd_hda_input_mux_info" },
	{ 0x19baa89b, "snd_hda_gen_parse_auto_config" },
	{ 0x93a684c2, "snd_hda_add_verbs" },
	{ 0xe22be0f7, "snd_hda_apply_fixup" },
	{ 0xa326c0c, "snd_hda_pick_fixup" },
	{ 0x18e6c7f, "snd_hda_mixer_amp_tlv" },
	{ 0x593ced8e, "snd_hda_gen_build_pcms" },
	{ 0x449185ed, "snd_hda_jack_unsol_event" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xa4b2e21e, "snd_hda_gen_update_outputs" },
	{ 0x1a6c89b1, "snd_hda_get_path_from_idx" },
	{ 0xe8616507, "snd_hda_mixer_amp_volume_get" },
	{ 0x388d96f5, "snd_hdac_regmap_write_raw" },
	{ 0xc5850110, "printk" },
	{ 0x422c614d, "snd_hda_gen_check_power_status" },
	{ 0x693cacff, "snd_hda_codec_set_pin_target" },
	{ 0x91cfc1e7, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xfae9f12b, "snd_hda_gen_add_micmute_led" },
	{ 0x4da8058b, "snd_hda_activate_path" },
	{ 0x4bfb3224, "snd_hda_gen_init" },
	{ 0x845e0b0a, "snd_hda_parse_pin_defcfg" },
	{ 0x6984174, "snd_hda_jack_set_gating_jack" },
	{ 0x75d7cb80, "__hda_codec_driver_register" },
	{ 0xf61c8da9, "snd_hda_override_amp_caps" },
	{ 0x4436e44f, "snd_ctl_boolean_mono_info" },
	{ 0x2e6a4f31, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xb9ce2180, "_snd_hdac_read_parm" },
	{ 0x752f1be8, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbcc1b3d8, "snd_hda_gen_reboot_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3393bff4, "kmem_cache_alloc_trace" },
	{ 0x7c41d4fc, "__dynamic_dev_dbg" },
	{ 0x1ba96ff2, "snd_hda_gen_add_kctl" },
	{ 0x3bd45b0d, "ledtrig_audio_set" },
	{ 0xef802736, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xb1fb47c3, "snd_hdac_codec_write" },
	{ 0xe2a65d39, "snd_hda_add_new_path" },
	{ 0x757f5c95, "hda_codec_driver_unregister" },
	{ 0x480ecbc3, "snd_hda_mixer_amp_switch_info" },
	{ 0x6f65d30b, "snd_hda_gen_spec_init" },
	{ 0xe30701d2, "snd_hda_jack_detect_state_mst" },
	{ 0x5d16d30b, "snd_hdac_regmap_read_raw" },
	{ 0xe06d4921, "snd_hda_mixer_amp_volume_info" },
	{ 0x49fa619f, "query_amp_caps" },
	{ 0x3e701a8c, "snd_hda_gen_mic_autoswitch" },
	{ 0x7a68ff66, "snd_hda_gen_build_controls" },
	{ 0x2af67f0d, "snd_hda_add_new_ctls" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd,ledtrig-audio";

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "B7D7A58C9F55F4515792288");

MODULE_INFO(suserelease, "SLE15-SP2");
