#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfd5539d6, "kmalloc_caches" },
	{ 0x976cda9d, "snd_hdac_regmap_sync" },
	{ 0xf9a482f9, "msleep" },
	{ 0x93c7b48a, "snd_hda_gen_free" },
	{ 0xda73c0aa, "snd_hda_mixer_amp_volume_put" },
	{ 0x3e2be1e7, "snd_hdac_codec_read" },
	{ 0x8b7d492c, "snd_hda_enum_helper_info" },
	{ 0x19baa89b, "snd_hda_gen_parse_auto_config" },
	{ 0x93a684c2, "snd_hda_add_verbs" },
	{ 0xe22be0f7, "snd_hda_apply_fixup" },
	{ 0xa326c0c, "snd_hda_pick_fixup" },
	{ 0x18e6c7f, "snd_hda_mixer_amp_tlv" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x593ced8e, "snd_hda_gen_build_pcms" },
	{ 0xb48603a1, "snd_hda_override_conn_list" },
	{ 0x9c83094a, "snd_hda_check_amp_list_power" },
	{ 0x449185ed, "snd_hda_jack_unsol_event" },
	{ 0x1fdf099f, "snd_hda_codec_set_pincfg" },
	{ 0x72104248, "snd_hda_mixer_amp_switch_put" },
	{ 0xe8616507, "snd_hda_mixer_amp_volume_get" },
	{ 0x2c35adb2, "snd_hda_codec_set_name" },
	{ 0x4002e7e5, "snd_hda_mixer_amp_switch_get" },
	{ 0x4bfb3224, "snd_hda_gen_init" },
	{ 0x845e0b0a, "snd_hda_parse_pin_defcfg" },
	{ 0x75d7cb80, "__hda_codec_driver_register" },
	{ 0xf61c8da9, "snd_hda_override_amp_caps" },
	{ 0x4436e44f, "snd_ctl_boolean_mono_info" },
	{ 0x88264113, "snd_hda_get_bool_hint" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xb9ce2180, "_snd_hdac_read_parm" },
	{ 0x752f1be8, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3393bff4, "kmem_cache_alloc_trace" },
	{ 0x1ba96ff2, "snd_hda_gen_add_kctl" },
	{ 0xef802736, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xb1fb47c3, "snd_hdac_codec_write" },
	{ 0x1ad4cedf, "snd_hda_codec_get_pincfg" },
	{ 0x757f5c95, "hda_codec_driver_unregister" },
	{ 0x480ecbc3, "snd_hda_mixer_amp_switch_info" },
	{ 0x6f65d30b, "snd_hda_gen_spec_init" },
	{ 0x5d16d30b, "snd_hdac_regmap_read_raw" },
	{ 0xe06d4921, "snd_hda_mixer_amp_volume_info" },
	{ 0x7a68ff66, "snd_hda_gen_build_controls" },
	{ 0x53b7b9e2, "snd_hda_get_connections" },
	{ 0x806f13f, "snd_hda_shutup_pins" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-core,snd-hda-codec-generic,snd-hda-codec,snd";

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "76FF8CCAAC38E913968718A");

MODULE_INFO(suserelease, "SLE15-SP2");
