#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x8d95398a, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb07e753d, "snd_soc_dapm_get_enum_double" },
	{ 0x20e7d027, "regmap_register_patch" },
	{ 0x2d737773, "i2c_del_driver" },
	{ 0xed0f222e, "snd_soc_dapm_get_volsw" },
	{ 0x2789f45b, "regmap_update_bits_base" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xaf018a55, "gpio_to_desc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf5712492, "_mutex_unlock" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xf1987fd9, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe63dbb8a, "snd_soc_component_update_bits" },
	{ 0x5a7b73e1, "snd_soc_put_volsw" },
	{ 0xbb6aa721, "regmap_read" },
	{ 0x1f7d3f6, "snd_soc_get_volsw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xa95ae05a, "snd_soc_info_enum_double" },
	{ 0x53d4009a, "snd_soc_dapm_add_routes" },
	{ 0xf8e5981c, "_dev_warn" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xc5850110, "printk" },
	{ 0x11022744, "snd_soc_add_component_controls" },
	{ 0x518202f3, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0x868cba5, "snd_soc_dapm_force_bias_level" },
	{ 0xa61770e0, "snd_soc_dapm_put_volsw" },
	{ 0xe7a5d4d3, "_dev_err" },
	{ 0xfe1364c0, "devm_gpio_request_one" },
	{ 0xe6788f0c, "snd_soc_info_volsw" },
	{ 0x400b1f91, "i2c_register_driver" },
	{ 0x15ce2680, "devm_add_action" },
	{ 0xf507a49a, "snd_soc_get_enum_double" },
	{ 0xbdac199c, "device_property_read_u32_array" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xbda76f3c, "__devm_regmap_init_i2c" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x409bec87, "devm_snd_soc_register_component" },
	{ 0x69611291, "snd_soc_component_write" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1653bb31, "devm_clk_get" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0x7c41d4fc, "__dynamic_dev_dbg" },
	{ 0xb94c2a27, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x1e4bbe2f, "regcache_mark_dirty" },
	{ 0x5c95c1fd, "snd_soc_put_enum_double" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd3b807fd, "snd_soc_dapm_sync_unlocked" },
	{ 0x7f68b24d, "rl6231_pll_calc" },
	{ 0xd71ab08f, "gpiod_set_raw_value_cansleep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1921193e, "snd_soc_jack_report" },
	{ 0x1aa409b2, "snd_soc_component_read32" },
	{ 0xae126cad, "_mutex_lock" },
	{ 0x2a23fe98, "devm_kmalloc" },
	{ 0x2e7f00fd, "devm_request_threaded_irq" },
	{ 0xfa085403, "regmap_write" },
	{ 0x9158b489, "regcache_sync" },
	{ 0xd83f551f, "regcache_cache_only" },
	{ 0x75e4121f, "device_property_present" },
	{ 0x302d8b03, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core,snd-soc-rl6231";

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "310E332502F511B42125ECD");

MODULE_INFO(suserelease, "SLE15-SP2");
